#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		__python	/usr/bin/python3
%global		pyver		%(%{__python} --version|cut -d ' ' -f2|cut -d '.' -f1-2)

#-----------------------------------------------------------------------------
Name		:	python-igraph
Version		:	0.10.2
Release		:	14.4.0.0%{?dist}
Summary		:	python bindings for igraph

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/igraph/python-igraph

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})
BuildRequires	:	igraph-devel
BuildRequires	:	libxml2-devel

Requires	:	libxml2
Requires	:	igraph

#-----------------------------------------------------------------------------
%description 
This module extends Python with a Graph class which is
capable of handling arbitrary directed and undirected
graphs with thousands of nodes and millions of edges.
Since the module makes use of the open source igraph
library written in almost 100% pure C, it is blazing
fast and outperforms most other pure Python-based
graph packages around.

#-----------------------------------------------------------------------------
%files
%defattr(-, root,root,-)
%license LICENSE
%{_bindir}/igraph
%{python3_sitearch}/igraph
%{python3_sitearch}/igraph-%{version}-py*.egg-info/

#=============================================================================
%package 		devel
Summary		:       %{summary}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}
#-----------------------------------------------------------------------------
%description		devel
The python3-igraph-devel package contains the header files and some
documentation needed to develop application with '%{name}'.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-, root,root,-)
%{_includedir}/python%{pyver}/igraph/*.h

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	setup.py					\
	build						\
	--use-pkg-config

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__python}							\
	setup.py						\
	install							\
	-O1							\
	--skip-build						\
	--prefix=%{_prefix}					\
	--root %{buildroot}					\


#-----------------------------------------------------------------------------
%changelog
